LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 02-03-2006, 06:03 PM   #1
blackdragonblood
Member
 
Registered: May 2005
Location: Minneapolis, MN
Distribution: Debian
Posts: 217

Rep: Reputation: 30
Failed Dependency installing mdadm


I'm attempting to install mdadm from rpm and I get a Failed Dependency. linux-gate.so.1 is needed. How do I fix this? Thx.
 
Old 02-03-2006, 06:23 PM   #2
bosewicht
Senior Member
 
Registered: Aug 2003
Location: Honolulu, HI
Distribution: Arch
Posts: 1,380

Rep: Reputation: 47
If RPM is reporting a missing dependancy of linux-gate.so.1 and NO OTHER problems, you have 2 choices.

1> install the .tar.gz version or

2> install the package with: rpm -Uvh --no-deps packagename.rpm


This seems to be a somewhat common issue


the 2nd option will work fine ONLY if the linux-gate package is the only problem reported. linux-gate is a virtual package used by 2.6.x kernels and is not an actual package on the hard drive. 2.4.x version kernels do not use this mechanism, but will run the application just fine. Users of older versions of linux that do not have a 2.6.x kernel may see RPM report the error above since development is done on a 2.6.x kernel machine.
 
Old 02-03-2006, 08:18 PM   #3
WhatsHisName
Senior Member
 
Registered: Oct 2003
Location: /earth/usa/nj (UTC-5)
Distribution: RHL9;F1-10; CentOS4-5; DebianSarge-Squeeze
Posts: 1,151

Rep: Reputation: 46
blackdragonblood: Assuming that you are asking about either FC3 or FC4, both should already have mdadm installed. To check, run:

# yum list installed mdadm
 
Old 02-03-2006, 08:22 PM   #4
blackdragonblood
Member
 
Registered: May 2005
Location: Minneapolis, MN
Distribution: Debian
Posts: 217

Original Poster
Rep: Reputation: 30
Your right! I didn't realize that. Thx!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
failed dependency libXm.so.3 Curtux Mandriva 19 05-04-2011 07:23 AM
failed dependency vijaysh Debian 1 12-26-2004 04:18 AM
how to solve failed dependency when dependency exists dwcramer Linux - Newbie 2 08-24-2004 10:03 PM
failed dependency while trying to install gtk2-2.2.2-2.0 kinghari Linux - Newbie 2 10-17-2003 01:46 AM
glib >=2.0 failed dependency kwanc Linux - Software 9 02-09-2003 04:38 AM


All times are GMT -5. The time now is 09:14 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration